package iwocs.graphs.propagation;

import java.util.Set;

import org.graphstream.graph.Node;

/**
 * SelectiveImmunization Beans class to collect infos
 * about selective immunization.
 */
public class SelectiveImmunization {
  private Set<Node> group0;
  private Set<Node> group1;

  /**
   * @return the group0
   */
  public Set<Node> getGroup0() {
    return group0;
  }

  /**
   * @return the group1
   */
  public Set<Node> getGroup1() {
    return group1;
  }

  /**
   * @param group0 the group0 to set
   */
  public void setGroup0(Set<Node> group0) {
    this.group0 = group0;
  }

  /**
   * @param group1 the group1 to set
   */
  public void setGroup1(Set<Node> group1) {
    this.group1 = group1;
  }
}